#### D.4.16.4 makeMatrix

Procedure from library `modules.lib` (see modules_lib).

Usage:
  makeMatrix(m), m matrix
  RETURN Matrix, with graded source and target if the matrix is homogeneous

Example:

    LIB "modules.lib";
    ring r;
    matrix m[2][2]=x,y3,z,xz;
    m;
    ==> m[1,1]=x
    ==> m[1,2]=y3
    ==> m[2,1]=z
    ==> m[2,2]=xz
    Matrix M=m;

User manual for Singular version 4.4.1, 2025, generated by texi2html.